osl::stat::TwoDimensionalStatistics Class Reference

`#include <twoDimensionalStatistics.h>`

## Classes

class | Data

## Public Member Functions

| TwoDimensionalStatistics ()
| ~TwoDimensionalStatistics ()
void | add (const double &x, const double &y)
void | merge (const TwoDimensionalStatistics &)
void | clear ()
double | averageX () const
double | averageY () const
double | averageX2 () const
double | averageY2 () const
double | averageXY () const
double | meanSquaredErrors () const
double | meanSquaredErrorsAdjustConstant () const
size_t | size () const
double | correlation () const
void | fitting (double &a, double &b, double &residual) const
| ax + b = y

## Private Member Functions

| TwoDimensionalStatistics (const TwoDimensionalStatistics &)
TwoDimensionalStatistics & | operator= (const TwoDimensionalStatistics &)

## Private Attributes

std::unique_ptr< Data > | m_data

## Detailed Description

Definition at line 13 of file twoDimensionalStatistics.h.

## Constructor & Destructor Documentation

## TwoDimensionalStatistics() [1/2]

osl::stat::TwoDimensionalStatistics::TwoDimensionalStatistics | ( |  | ) |

Definition at line 40 of file twoDimensionalStatistics.cc.

References m_data.

Referenced by merge(), operator=(), and TwoDimensionalStatistics().

## ~TwoDimensionalStatistics()

osl::stat::TwoDimensionalStatistics::~TwoDimensionalStatistics | ( |  | ) |

Definition at line 45 of file twoDimensionalStatistics.cc.

## TwoDimensionalStatistics() [2/2]

osl::stat::TwoDimensionalStatistics::TwoDimensionalStatistics | ( | const TwoDimensionalStatistics & |  | ) |

private

References TwoDimensionalStatistics().

## Member Function Documentation

## add()

void osl::stat::TwoDimensionalStatistics::add | ( | const double & | x,
|  | const double & | y )

Definition at line 51 of file twoDimensionalStatistics.cc.

References m_data.

## averageX()

double osl::stat::TwoDimensionalStatistics::averageX | ( |  | ) | const

Definition at line 77 of file twoDimensionalStatistics.cc.

References m_data.

Referenced by correlation(), fitting(), and meanSquaredErrorsAdjustConstant().

## averageX2()

double osl::stat::TwoDimensionalStatistics::averageX2 | ( |  | ) | const

Definition at line 89 of file twoDimensionalStatistics.cc.

References m_data.

Referenced by correlation(), fitting(), meanSquaredErrors(), and meanSquaredErrorsAdjustConstant().

## averageXY()

double osl::stat::TwoDimensionalStatistics::averageXY | ( |  | ) | const

Definition at line 101 of file twoDimensionalStatistics.cc.

References m_data.

Referenced by correlation(), fitting(), meanSquaredErrors(), and meanSquaredErrorsAdjustConstant().

## averageY()

double osl::stat::TwoDimensionalStatistics::averageY | ( |  | ) | const

Definition at line 83 of file twoDimensionalStatistics.cc.

References m_data.

Referenced by correlation(), fitting(), and meanSquaredErrorsAdjustConstant().

## averageY2()

double osl::stat::TwoDimensionalStatistics::averageY2 | ( |  | ) | const

Definition at line 95 of file twoDimensionalStatistics.cc.

References m_data.

Referenced by correlation(), fitting(), meanSquaredErrors(), and meanSquaredErrorsAdjustConstant().

## clear()

void osl::stat::TwoDimensionalStatistics::clear | ( |  | ) |

Definition at line 63 of file twoDimensionalStatistics.cc.

References m_data.

## correlation()

double osl::stat::TwoDimensionalStatistics::correlation | ( |  | ) | const

Definition at line 121 of file twoDimensionalStatistics.cc.

References averageX(), averageX2(), averageXY(), averageY(), and averageY2().

## fitting()

void osl::stat::TwoDimensionalStatistics::fitting | ( | double & | a,
|  | double & | b,
|  | double & | residual ) const

ax + b = y

Definition at line 129 of file twoDimensionalStatistics.cc.

References averageX(), averageX2(), averageXY(), averageY(), and averageY2().

## meanSquaredErrors()

double osl::stat::TwoDimensionalStatistics::meanSquaredErrors | ( |  | ) | const

Definition at line 107 of file twoDimensionalStatistics.cc.

References averageX2(), averageXY(), and averageY2().

## meanSquaredErrorsAdjustConstant()

double osl::stat::TwoDimensionalStatistics::meanSquaredErrorsAdjustConstant | ( |  | ) | const

Definition at line 113 of file twoDimensionalStatistics.cc.

References averageX(), averageX2(), averageXY(), averageY(), and averageY2().

## merge()

void osl::stat::TwoDimensionalStatistics::merge | ( | const TwoDimensionalStatistics & | r | ) |

Definition at line 57 of file twoDimensionalStatistics.cc.

References m_data, and TwoDimensionalStatistics().

## operator=()

TwoDimensionalStatistics & osl::stat::TwoDimensionalStatistics::operator= | ( | const TwoDimensionalStatistics & |  | ) |

private

References TwoDimensionalStatistics().

## size()

size_t osl::stat::TwoDimensionalStatistics::size | ( |  | ) | const

Definition at line 71 of file twoDimensionalStatistics.cc.

References m_data.

## Member Data Documentation

## m_data

std::unique_ptr<Data> osl::stat::TwoDimensionalStatistics::m_data

private

Definition at line 16 of file twoDimensionalStatistics.h.

Referenced by add(), averageX(), averageX2(), averageXY(), averageY(), averageY2(), clear(), merge(), size(), and TwoDimensionalStatistics().

The documentation for this class was generated from the following files:

- twoDimensionalStatistics.h
- twoDimensionalStatistics.cc